{% extends "base.html" %}

{% block title %}Service Logs{% endblock %}

{% block content %}
    <h1>Service Logs</h1>
    <hr>
    
    <h3 class="mt-4">Nginx Access Log</h3>
    <div class="log-container">
        <pre class="log-content">
{% for line in nginx_logs %}
{{ line.strip() }}
{% endfor %}
        </pre>
    </div>

    <h3 class="mt-4">Nginx Error Log</h3>
    <div class="log-container">
        <pre class="log-content">
{% for line in nginx_error_logs %}
{{ line.strip() }}
{% endfor %}
        </pre>
    </div>
    
    <h3 class="mt-4">Redis Log</h3>
    <div class="log-container">
        <pre class="log-content">
{% for line in redis_logs %}
{{ line.strip() }}
{% endfor %}
        </pre>
    </div>
{% endblock %}
